<?php
/**
* The template for displaying 404 pages (not found).
*
* @link https://codex.wordpress.org/Creating_an_Error_404_Page
*
* @package CleanWP WordPress Theme
* @copyright Copyright (C) 2018 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div id="primary" class="content-area">

<?php cleanwp_before_main_content(); ?>

<main id="main" class="site-main" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">

<header class="page-header">
        <h1 class="page-title"><?php esc_html_e( 'Oops! That page can not be found.', 'cleanwp' ); ?></h1>
</header><!-- .page-header -->
 
<div class="page-content">
        <p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'cleanwp' ); ?></p>
        <?php get_search_form(); ?>

        <?php the_widget( 'WP_Widget_Recent_Posts' ); ?>

        <div>
            <h2><?php esc_html_e( 'Most Used Categories', 'cleanwp' ); ?></h2>
            <ul>
            <?php
                    wp_list_categories( array(
                            'orderby'    => 'count',
                            'order'      => 'DESC',
                            'show_count' => 1,
                            'title_li'   => '',
                            'number'     => 10,
                    ) );
            ?>
            </ul>
        </div>

        <?php
            /* translators: %1$s: smiley */
            $cleanwp_archive_content = '<p>' . sprintf( esc_html__( 'Try looking in the monthly archives. %1$s', 'cleanwp' ), convert_smilies( ':)' ) ) . '</p>';
            the_widget( 'WP_Widget_Archives', 'dropdown=1', "after_title=</h2>$cleanwp_archive_content" );
        ?>

        <?php the_widget( 'WP_Widget_Tag_Cloud' ); ?>
        
</div>

</main><!-- #main -->

<?php cleanwp_after_main_content(); ?>

</div><!-- #primary -->
<?php get_footer(); ?>