<?php
/**
* The main template file.
*
* This is the most generic template file in a WordPress theme
* and one of the two required files for a theme (the other being style.css).
* It is used to display a page when nothing more specific matches a query.
* E.g., it puts together the home page when no home.php file exists.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package CleanWP WordPress Theme
* @copyright Copyright (C) 2018 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div id="primary" class="content-area">

<?php cleanwp_before_main_content(); ?>

<main id="main" class="site-main" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">

<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>
    
    <?php
    /*
     * Include the Post-Format-specific template for the content.
     * If you want to override this in a child theme, then include a file
     * called content-___.php (where ___ is the Post Format name) and that will be used instead.
     */
    get_template_part( 'template-parts/content', get_post_format() );
    ?>

<?php endwhile; ?>
    
<div class="clear"></div>
<?php the_posts_navigation(array('prev_text' => esc_html__( '&larr; Older posts', 'cleanwp' ), 'next_text' => esc_html__( 'Newer posts &rarr;', 'cleanwp' ))); ?>

<?php else : ?>

  <?php get_template_part( 'template-parts/content', 'none' ); ?>

<?php endif; ?>

</main><!-- #main -->

<?php cleanwp_after_main_content(); ?>

</div><!-- #primary -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>