<?php
/**
* The template for displaying search results pages.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
*
* @package CleanWP WordPress Theme
* @copyright Copyright (C) 2018 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div id="primary" class="content-area">

<?php cleanwp_before_main_content(); ?>

<main id="main" class="site-main" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">

<header class="page-header">
    <h1 class="page-title"><?php /* translators: %s: search query. */ printf( esc_html__( 'Search Results for: %s', 'cleanwp' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
</header><!-- .page-header -->

<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>

  <?php get_template_part( 'template-parts/content', 'search' ); ?>

<?php endwhile; ?>

<div class="clear"></div>
<?php the_posts_navigation(array('prev_text' => esc_html__( '&larr; Older posts', 'cleanwp' ), 'next_text' => esc_html__( 'Newer posts &rarr;', 'cleanwp' ))); ?>

<?php else : ?>

  <?php get_template_part( 'template-parts/content', 'none' ); ?>

<?php endif; ?>

</main><!-- #main -->

<?php cleanwp_after_main_content(); ?>

</div><!-- #primary -->
<?php get_sidebar(); ?>
<?php get_footer(); ?>